package auto;

public class Camion extends Veicolo implements VeicoloAssicurato {

    private int numAssi;
    private int incremento;
    private int velocita;

    public Camion (int num, int incremento, String proprietario, int numMatricola, int annoImmatricolazione, int scadAssicurazione) {
	    super(numMatricola,proprietario, annoImmatricolazione, scadAssicurazione);
	    this.incremento=incremento;
	    velocita=0;
    	numAssi = num;
    }

    public int getAssi() {
	return numAssi;
    }
    public String toString(){
    	return "Proprietario camion: "+getProprietario()
    	+"\nnumero matricola: "+getMatricola()
    	+"\nnumero di assi: "+numAssi
    	+"\nmassima velocita: "+velocita
    	+"\nanno immatricolazione: "+getAnnoImmatricolazione()
        +"\nscadenza Assicurazione: "+getScadAssicurazione();
    }

    @Override
	public void parti(int velocIniz) {
		velocita=velocIniz;		
	}
	@Override
	public void accelera() {
		velocita=velocita+incremento;
		
	}

	@Override
	public boolean isAssicurato(int annoCorrente) {
		if(getScadAssicurazione()>=annoCorrente)
			return true;
		return false;
	}

	
}