package auto;

public class Auto extends Veicolo implements VeicoloAssicurato {
    private String tipo;
    private int incremento;
    private int velocita;
    
    public Auto (String tipo, int incremento, String proprietario, int numMatricola, int annoImmatricolazione, int scadAssicurazione){
    	super(numMatricola,proprietario, annoImmatricolazione, scadAssicurazione);
    	this.tipo=tipo;
    	this.incremento=incremento;
    	velocita=0;
    }
    public void setTipo(String mioTipo) {
	tipo = mioTipo;
    }
    public String getTipo() {
	return tipo;
    }
    public String toString(){
    	return "Proprietario auto: "+getProprietario()
    	+"\nnumero matricola: "+getMatricola()
    	+"\ntipo auto: "+tipo
    	+"\nmassima velocita: "+velocita
    	+"\nanno immatricolazione: "+getAnnoImmatricolazione()
    	+"\nscadenza Assicurazione: "+getScadAssicurazione()
    	+"\nIl veicolo è Assicurato?: "+isAssicurato(2008)
    	+"\n*****************************\n";
    }
    @Override
	public void parti(int velocIniz) {
	  velocita=velocIniz ;		
	}
	@Override
	public void accelera() {
		velocita=velocita+incremento;
	}
	public boolean isAssicurato(int annoCorrente) {
		if(getScadAssicurazione()>=annoCorrente)
			return true;
		return false;
	}
}
