package auto;



public class Moto extends Veicolo implements VeicoloAssicurato{

    private int numPosti;
    private int incremento;
    private int velocita;

    public Moto (int numPt,int incremento, String proprietario, int numMatricola, int annoImmatricolazione, int scadAssicurazione) {
	    super(numMatricola,proprietario, annoImmatricolazione, scadAssicurazione);
    	numPosti = numPt;
	   this.incremento=incremento;
	   velocita=0;
    }

    public int getNumPosti() {
	return numPosti;
    }
    public String toString(){
    	return "Proprietario moto: "+getProprietario()
    	+"\nnumero matricola: "+getMatricola()
    	+"\nnumero di posti: "+numPosti
    	+"\nmassima velocita: "+velocita
    	+"\nanno immatricolazione: "+getAnnoImmatricolazione()
    	+"\nscadenza Assicurazione: "+getScadAssicurazione();
    }
    
    @Override
	public void parti(int velocIniz) {
    	velocita=velocIniz;		
    }
    
	@Override
	public void accelera() {
		velocita=velocita+incremento;
		
	}

	public boolean isAssicurato(int annoCorrente) {
		if(getScadAssicurazione()>=annoCorrente)
			return true;
		return false;
	}

	
}